package com.jxml.quick.util.qjml4;

import java.io.PrintWriter;
import java.util.ArrayList;
import org.xml.sax.*;

public class QMExtends extends QGBase implements QGBaseIntf {

    public String text;


    public QMExtends(String text) {
        this.text = text;
    }

    public String toString() {
        return(text);
    }

    public void cvt()
	throws SAXException
    {
	startElement("extends");
	addStringContent(text);
	endElement("extends");
    }

    public void print(PrintWriter pw, String indent) {
        pw.println(indent + "element extends");
        pw.println(indent + "text = " + text);
    }

}
